function skill092(j)
	local p
	local mid=battle.GetActingPlayerID()
	if j==1 then
	gd=0
	end
	for p=1,7,1 do
		if battle.CheckNpcPlace(p)==0 then
			local a=battle.GetRndNumber(1,100)
			local nid=battle.GetPlaceNpcID(p)
			if battle.CheckNpcStat(nid,83)==1 then
			npc.AddStat(0,nid,9000,1,1)
			npc.RemoveStat(nid,83)
			gd=gd+1
			else
			if player.GetTitle(mid)==6089 then
			    if battle.CheckNpcStat(nid,1)==1 then
				    npc.AddStat(0,nid,100,1,3)
				elseif a>=1 and a<=42 then
					npc.AddStat(0,nid,100,1,5)
					gd=gd+1
				end
			else
			    if battle.CheckNpcStat(nid,1)==1 then
				    npc.AddStat(0,nid,100,1,3)
				elseif a>=1 and a<=32 then
					npc.AddStat(0,nid,100,1,5)
					gd=gd+1
				end
			end
            end

		end
	end

global.Print(gd)
if gd~=0 and j==2 then
if gd>4 then gd=4 end
gs=battle.GetRndNumber(1,gd)
player.AddItem(3201,gs,0)
ui.Message(170730+gs)

end

end